%define upstream_name    Apache-Htpasswd
%define upstream_version 1.9

Name:       perl-%{upstream_name}
Version:    1.900.0
Release:    %mkrel 9

Summary:    Manage Unix crypt-style password file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Crypt::PasswdMD5)
BuildRequires: perl(Digest::SHA) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Base64)
BuildArch:  noarch

%description
This module comes with a set of methods to use with htaccess password
files. These files (and htaccess) are used to do Basic Authentication on a
web server.

The passwords file is a flat-file with login name and their associated
crypted password. You can use this for non-Apache files if you wish, but it
was written specifically for .htaccess style files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Apr 18 2019 tex 1.900.0-9pclos2019
- rebuild
